# IDT_s Struct Reference

`#include <lib/rpmcli.h>`

Collaboration diagram for IDT_s:
[legend]

## Data Fields
int | done
unsigned int | instance
const char * | key
Header | h
union {
uint32_t u32
} | val

## Detailed Description

Definition at line 589 of file rpmcli.h.

## Field Documentation

int IDT_s::done

package processed?

Definition at line 590 of file rpmcli.h.

Referenced by findErases(), IDTXglob(), IDTXload(), and rpmRollback().

unsigned int IDT_s::instance

installed package transaction id.

Definition at line 591 of file rpmcli.h.

Referenced by findErases(), IDTXglob(), IDTXload(), and rpmts_IDTXload().

const char* IDT_s::key

Definition at line 593 of file rpmcli.h.

Referenced by IDTXfree(), IDTXglob(), IDTXload(), rpmRollback(), and rpmts_IDTXglob().

Header IDT_s::h

removed package file name. removed package header.

Definition at line 594 of file rpmcli.h.

Referenced by findErases(), IDTXfree(), IDTXglob(), IDTXload(), rpmRollback(), rpmts_IDTXglob(), and rpmts_IDTXload().

uint32_t IDT_s::u32

install/remove transaction id

Definition at line 596 of file rpmcli.h.

Referenced by findErases(), IDTXglob(), IDTXload(), rpmRollback(), rpmts_IDTXglob(), and rpmts_IDTXload().

union { ... } IDT_s::val

Referenced by findErases(), IDTXglob(), IDTXload(), rpmRollback(), rpmts_IDTXglob(), and rpmts_IDTXload().

The documentation for this struct was generated from the following file:

- lib/rpmcli.h